Package org.apache.storm.metric

# Class LoggingClusterMetricsConsumer

java.lang.Object
org.apache.storm.metric.LoggingClusterMetricsConsumer

All Implemented Interfaces:
  `IClusterMetricsConsumer`

public class LoggingClusterMetricsConsumer extends Object implements IClusterMetricsConsumer
Listens for cluster related metrics, dumps them to log.

To use, edit the storm.yaml config file: ```yaml storm.cluster.metrics.register: - class: "org.apache.storm.metrics.LoggingClusterMetricsConsumer" ```

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.metric.api.IClusterMetricsConsumer

  `IClusterMetricsConsumer.ClusterInfo, IClusterMetricsConsumer.SupervisorInfo`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingClusterMetricsConsumer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  `void`
  `handleDataPoints(IClusterMetricsConsumer.ClusterInfo clusterInfo, Collection<DataPoint> dataPoints)`
  `void`
  `handleDataPoints(IClusterMetricsConsumer.SupervisorInfo supervisorInfo, Collection<DataPoint> dataPoints)`
  `void`
  `prepare(Object registrationArgument)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Constructor Details

  - ### LoggingClusterMetricsConsumer

    public LoggingClusterMetricsConsumer()

- ## Method Details

  - ### prepare

    public void prepare(Object registrationArgument)
    Specified by:
      `prepare` in interface `IClusterMetricsConsumer`

  - ### handleDataPoints

    public void handleDataPoints(IClusterMetricsConsumer.ClusterInfo clusterInfo, Collection<DataPoint> dataPoints)
    Specified by:
      `handleDataPoints` in interface `IClusterMetricsConsumer`

  - ### handleDataPoints

    public void handleDataPoints(IClusterMetricsConsumer.SupervisorInfo supervisorInfo, Collection<DataPoint> dataPoints)
    Specified by:
      `handleDataPoints` in interface `IClusterMetricsConsumer`

  - ### cleanup

    public void cleanup()
    Specified by:
      `cleanup` in interface `IClusterMetricsConsumer`